#include <math.h>
#include <limits.h>

int _pixel_aspect_fix,_pixel_aspect_shl, _prescale, _walldraw_radius;

void calcGFXconstants2(int width, int height, float pixel_aspect, int player_radius_unscaled, int wall_unit_unscaled) {
    
    float virtual_width = width*pixel_aspect;
    float virtual_height = height;
    
    float aspect_feik = pixel_aspect;
    _pixel_aspect_shl = 0;
    while (aspect_feik < 1.0) {
        aspect_feik *= 2;
        _pixel_aspect_shl += 1;
    }
    
    
    _pixel_aspect_fix = roundf((INT_MAX>>1)/aspect_feik);
    _prescale = roundf(virtual_height/3.71875);
    
    float player_radius_inner = player_radius_unscaled*(sqrtf(3.)/2.);
    _walldraw_radius = (int)(sqrtf((virtual_width*virtual_width+virtual_height*virtual_height)/4.)-player_radius_inner+player_radius_unscaled);
    
}

int pixel_aspect_fix() {
    return _pixel_aspect_fix;
}
int pixel_aspect_shl() {
    return _pixel_aspect_shl;
}

int prescale() {
    return _prescale;
}


int walldraw_radius() {
    return _walldraw_radius;
}
